/* -*- Mode: C; c-basic-offset: 2; indent-tabs-mode: nil -*-
 *
 * Pigment media rendering library
 *
 * Copyright © 2006, 2007 Fluendo Embedded S.L.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author(s): Loïc Molinari <loic@fluendo.com>
 *            Julien Moutte <julien@fluendo.com>
 */

/**
 * SECTION:pgmcommon
 * @short_description: Various enums and macros used for common tasks.
 *
 * Various enumerations and macros used by Pigment for common tasks.
 *
 * <emphasis remap="it">Last reviewed on 2007-04-12 (0.1.5)</emphasis>
 */

#ifndef __PGM_COMMON_H__
#define __PGM_COMMON_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define PGM_PADDING (4)

/* Windows exports */
#if defined(G_OS_WIN32) && (!defined(__MINGW32__))
#ifdef PGM_COMPILATION
#define PGM_EXPORT __declspec(dllexport)
#else
#define PGM_EXPORT __declspec(dllimport)
#endif /* PGM_COMPILATION */
#else
#define PGM_EXPORT
#endif /* defined(G_OS_WIN32) && (!defined(__MINGW32__)) */

/**
 * PgmError:
 * @PGM_ERROR_X: Generic error code.
 * @PGM_ERROR_OK: No error occured.
 *
 * Every Pigment methods return an error code from that list.
 */
typedef enum {
  PGM_ERROR_X,
  PGM_ERROR_OK
} PgmError;

G_END_DECLS

#endif /* __PGM_COMMON_H__ */
